Loading...
Searching...
No Matches
casacore::ReadOnlyVectorIterator< T > Class Template Reference
casa package (libcasa_casa) » Arrays_module

Iterate a Vector cursor through another Array. More...

`#include <VectorIter.h>`

## Public Member Functions

| ReadOnlyVectorIterator (const Array< T > &a, size_t axis=0)
void | next ()
void | reset ()
void | origin ()
const Array< T > & | array ()
const Vector< T > & | vector ()
bool | atStart () const
bool | pastEnd () const
const IPosition & | pos () const
IPosition | endPos () const
size_t | ndim () const

## Private Member Functions

| ReadOnlyVectorIterator (const ReadOnlyVectorIterator< T > &)=delete
| Not implemented.
ReadOnlyVectorIterator< T > & | operator= (const ReadOnlyVectorIterator< T > &)=delete
| Not implemented.

## Private Attributes

VectorIterator< T > | vi

## Detailed Description

template<typename T>
class casacore::ReadOnlyVectorIterator< T >

Iterate a Vector cursor through another Array.

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

ReadOnlyVectorIterator behaves exactly like VectorIterator (cf.) only it should be used on const Arrays.

Tip: Note that the R/O VectorIterator is not derived from R/O ArrayIterator;

Definition at line 100 of file VectorIter.h.

## Constructor & Destructor Documentation

## ReadOnlyVectorIterator() [1/2]

template<typename T>

casacore::ReadOnlyVectorIterator< T >::ReadOnlyVectorIterator | ( | const Array< T > & | a,
|  | size_t | axis = 0 )

inline explicit

Definition at line 104 of file VectorIter.h.

References vi.

Referenced by operator=(), and ReadOnlyVectorIterator().

## ReadOnlyVectorIterator() [2/2]

template<typename T>

casacore::ReadOnlyVectorIterator< T >::ReadOnlyVectorIterator | ( | const ReadOnlyVectorIterator< T > & |  | ) |

private delete

Not implemented.

References ReadOnlyVectorIterator().

## Member Function Documentation

## array()

template<typename T>

const Array< T > & casacore::ReadOnlyVectorIterator< T >::array | ( |  | ) |

inline

Definition at line 111 of file VectorIter.h.

References vi.

## atStart()

template<typename T>

bool casacore::ReadOnlyVectorIterator< T >::atStart | ( |  | ) | const

inline

Definition at line 114 of file VectorIter.h.

References vi.

## endPos()

template<typename T>

IPosition casacore::ReadOnlyVectorIterator< T >::endPos | ( |  | ) | const

inline

Definition at line 117 of file VectorIter.h.

References vi.

## ndim()

template<typename T>

size_t casacore::ReadOnlyVectorIterator< T >::ndim | ( |  | ) | const

inline

Definition at line 118 of file VectorIter.h.

References vi.

## next()

template<typename T>

void casacore::ReadOnlyVectorIterator< T >::next | ( |  | ) |

inline

Definition at line 107 of file VectorIter.h.

References vi.

## operator=()

template<typename T>

ReadOnlyVectorIterator< T > & casacore::ReadOnlyVectorIterator< T >::operator= | ( | const ReadOnlyVectorIterator< T > & |  | ) |

private delete

Not implemented.

References ReadOnlyVectorIterator().

## origin()

template<typename T>

void casacore::ReadOnlyVectorIterator< T >::origin | ( |  | ) |

inline

Definition at line 109 of file VectorIter.h.

References vi.

## pastEnd()

template<typename T>

bool casacore::ReadOnlyVectorIterator< T >::pastEnd | ( |  | ) | const

inline

Definition at line 115 of file VectorIter.h.

References vi.

## pos()

template<typename T>

const IPosition & casacore::ReadOnlyVectorIterator< T >::pos | ( |  | ) | const

inline

Definition at line 116 of file VectorIter.h.

References vi.

## reset()

template<typename T>

void casacore::ReadOnlyVectorIterator< T >::reset | ( |  | ) |

inline

Definition at line 108 of file VectorIter.h.

References vi.

## vector()

template<typename T>

const Vector< T > & casacore::ReadOnlyVectorIterator< T >::vector | ( |  | ) |

inline

Definition at line 112 of file VectorIter.h.

References vi.

## Member Data Documentation

## vi

template<typename T>

VectorIterator<T> casacore::ReadOnlyVectorIterator< T >::vi

private

Definition at line 126 of file VectorIter.h.

Referenced by array(), atStart(), endPos(), ndim(), next(), origin(), pastEnd(), pos(), ReadOnlyVectorIterator(), reset(), and vector().

The documentation for this class was generated from the following file:

- casa/Arrays/VectorIter.h